using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
namespace WaitingBarExampleProject
{
	public class TelnetTask
	{
		public Thread TelnetThread;

		public event EventHandler Complete;

		public TelnetTask()
		{
		}

		public void EstablishSession()
		{
			Telnet Session = new Telnet(this.txtIP.Text, Convert.ToInt16(this.txtPortTest.Text), 1000);

			try
			{
				// Trying to connect
				Session.Connect();
			}
			catch (Exception ex)
			{
				// Some code here
			}

			// Here we determine whether the target object is from the UI thread. 
			if (this.Complete.Target is System.Windows.Forms.Control)
			{
				System.Windows.Forms.Control target = Complete.Target as System.Windows.Forms.Control;
				target.BeginInvoke(this.Complete, new Object[] {});
			}
			else
				this.Complete(this, EventArgs.Empty);
		}

		public void StartTelnetTask()
		{
			TelnetThread = new Thread(new ThreadStart(this.EstablishSession));
			this.TelnetThread.Start();
		}
	}
}